Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

Would you be so kind to help me in resolving the following issue? I tried to convert the text using Latex 2 as it was requested by the publisher, but the document generation failed with the following error on the second and third pages of the output:
[NB: The output still contains the abstaract (page 1) from the original Microsoft Word document text and the photograph images from the original Microsoft Word document]. If you have any questions, please see the image of the pages 2 and 3 which contains information about the error.

Please advise what should I do in order to fix that problem!
Thank you very much in advance!!!


Error information - beginning


This is pdfTeX, Version 3.1415926-1.40.10 (Web2C 2009) (format=latex 2010.6.15) 21 DEC 2010  
12:34  
entering extended mode  
%&-line parsing enabled.  
**"AAAAA et al.tex"  
(./AAAAA et al.tex  
LaTeX2e   
Babel  and hyphenation patterns for english, usenglishmax, dumylang, noh  
yphenation, german-x-2009-06-19, ngerman-x-2009-06-19, ancientgreek, ibycus, ar  
abic, basque, bulgarian, catalan, pinyin, coptic, croatian, czech, danish, dutc  
h, esperanto, estonian, farsi, finnish, french, galician, german, ngerman, mono  
greek, greek, hungarian, icelandic, indonesian, interlingua, irish, italian, ku  
rmanji, latin, latvian, lithuanian, mongolian, mongolian2a, bokmal, nynorsk, po  
lish, portuguese, romanian, russian, sanskrit, serbian, slovak, slovenian, span  
ish, swedish, turkish, ukenglish, ukrainian, uppersorbian, welsh, loaded.  
(c:/texlive/2009/texmf/tex/latex/aries/elsarticle.cls  
Document Class: elsarticle 2009/09/17, 1.20b: Elsevier Ltd  
\@bls=\dimen102  
! LaTeX Error: \RequirePackage or \LoadClass in Options Section.  
See the LaTeX manual or LaTeX Companion for explanation.  
Type H  for immediate help.  
...  
l.80 \LoadClass  
{article}  
The document class `elsarticle' is defective.  
It attempts to load `times' in the options section, i.e.,  
between \DeclareOption and \ProcessOptions.  
! LaTeX Error: File `article.cls' not found.  
Type X to quit or  to proceed,  
or enter new name. (Default extension: cls)  
Enter file name:  
! Emergency stop.  
  
l.81 \RequirePackage  
{graphicx}^^M  
*** (cannot \read from terminal in nonstop modes)  
Here is how much of TeX's memory you used:  
59 strings out of 493849  
772 string characters out of 3152230  
48936 words of memory out of 3000000  
3427 multiletter control sequences out of 15000+200000  
3640 words of font info for 14 fonts, out of 3000000 for 9000  
The latex file  
Click here to view linked References  
714 hyphenation exceptions out of 8191  
18i,0n,19p,114b,14s stack positions out of 5000i,500n,10000p,200000b,50000s  
No pages of output.  

Error information - end

share|improve this question

4 Answers 4

Update: that error occurs if you specify the times option and if txfonts is not installed. In that case elsarticle tries to load the obsolete times package, and it does it in the wrong way: \RequirePackage{times} causes the error. \AtEndOfClass{\RequirePackage{times}} would work.

Suggested solution: install the txfonts package. Use your package manager if possible.


It seems to me that you are using a modified elsarticle class, not an original one. According to the log file, you load:

Document Class: elsarticle 2009/09/17, 1.20b: Elsevier Ltd  

But the original current version is elsarticle 2009/09/17, 1.2.0. You can get it from CTAN or use your package manager.

share|improve this answer
    
no, the original one is the 1.2.0b. The other one is from CTAN. –  Herbert Dec 22 '10 at 14:16
    
@Herbert: ok, found it on elsevier.com/wps/find/authors.cws_home/elsarticle . Strange that it's got the same date but different version and differs from the one on CTAN though both versions are more than one year old. –  Stefan Kottwitz Dec 22 '10 at 14:30
    
the problem is elsevier that they do not hold the CTAN version up-to-date ... :-( already knowing that a lot of the authors are using MiKTeX or TeXLive –  Herbert Dec 22 '10 at 14:37
2  
@Herbert: thank you for the information. I've checked the class source, it has an error, it should use \AtEndOfClass{\RequirePackage{times}} instead of just \RequirePackage{times} for the fallback to the obsolete times package. –  Stefan Kottwitz Dec 22 '10 at 14:42
    
well done! –  Herbert Dec 22 '10 at 15:55

As the error message says: You have a defective elsarticle.cls.

It works fine here (miktex 2.9) and

(J:\MiKTeX2.9\tex\latex\elsarticle\elsarticle.cls
Document Class: elsarticle 2009/09/17, 1.2.0: Elsevier Ltd

Try to update/reinstall the package.

share|improve this answer

Download again the elsarticle.cls from elsevier and put it into your document directory. Then try this test document

\listfiles
\documentclass{elsarticle} 

\begin{document}

foo

\end{document}
share|improve this answer

It is very simple, try to remove times and do as:

\documentclass[final,3p,twocolumn]{elsarticle}

I have removed times from this:

\documentclass[final,3p,times,twocolumn]{elsarticle}

therefore, it works fine for me.

share|improve this answer
    
Welcome to LaTeX! This works probably because you have the new version. See the other answers. –  percusse Jul 27 '12 at 22:34

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.